Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportParametersAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportParametersAction

All Implemented Interfaces:
  ReportInputControlsAction, org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

Direct Known Subclasses:
  ScheduleReportParametersAction, ViewReportAction

    public abstract class ReportParametersAction

extends org.springframework.webflow.action.FormAction
implements ReportInputControlsAction

Version:
  $Id: ReportParametersAction.java 10177 2007-09-20 11:04:57Z lucian $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary
`protected static class` | `ReportParametersAction.InputValueProvider`
`protected static class` | `ReportParametersAction.MapValueProvider`

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`static java.lang.String` | `INPUTWRAPPERS_ATTR`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportParametersAction()`

Method Summary
`protected void` | `addCustomParameters(org.springframework.webflow.execution.RequestContext context, java.util.Map parameterValues)`
`protected java.util.Map` | `bindParameterValues(java.lang.String reportName, java.util.List wrappers)` Converts BigDecimal numbers to the the type they should be based on what the JRParameters say.
`protected org.springframework.webflow.execution.Event` | `createWrappers(org.springframework.webflow.execution.RequestContext context)`
`protected java.util.List` | `createWrappers(org.springframework.webflow.execution.RequestContext context, ReportUnit reportUnit)`
`protected ReportParametersAction.InputValueProvider` | `defaultValuesProvider(org.springframework.webflow.execution.RequestContext context)`
`protected org.apache.commons.collections.OrderedMap` | `executeQuery(ResourceReference queryReference, ResourceReference dataSourceReference, RuntimeInputControlWrapper wrapper)`
`java.lang.String` | `getAttributeDefaultInputValues()`
`protected java.lang.String` | `getCalendarDatePattern()`
`java.lang.String` | `getCalendarDatePatternAttrName()`
`protected java.lang.String` | `getCalendarDatetimePattern()`
`java.lang.String` | `getCalendarDatetimePatternAttrName()`
`CalendarFormatProvider` | `getCalendarFormatProvider()`
`java.lang.String` | `getControlsDisplayFormAttrName()`
`protected DataType` | `getDatatype(InputControl control)`
`protected java.text.DateFormat` | `getDateFormat(boolean interactiveParameters)`
`protected java.text.DateFormat` | `getDatetimeFormat(boolean interactiveParameters)`
`static int` | `getDSTSavings(java.util.TimeZone tz)`
`EngineService` | `getEngine()`
`java.lang.String` | `getHasInputControlsAttrName()`
`java.util.List` | `getInputControlWrappers(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getInputNamePrefix()`
`protected java.lang.Object` | `getLovValue(RuntimeInputControlWrapper wrapper, java.lang.String strValue)`
`java.lang.String` | `getMarkerParameterPrefix()`
`org.springframework.context.MessageSource` | `getMessages()`
`protected java.lang.Object` | `getParameterMultiValue(RuntimeInputControlWrapper wrapper, net.sf.jasperreports.engine.JRParameter parameter, java.util.Set values)`
`protected java.lang.String` | `getParameterName(RuntimeInputControlWrapper wrapper)`
`protected java.lang.Object` | `getParameterNumberValue(RuntimeInputControlWrapper wrapper, net.sf.jasperreports.engine.JRParameter parameter, java.lang.Object value)`
`protected java.util.Map` | `getParameterValues(org.springframework.webflow.execution.RequestContext context, boolean requestParsed)`
`protected java.lang.Object` | `getQueryValue(RuntimeInputControlWrapper wrapper, java.lang.String strValue)`
`java.lang.String` | `getReportDisplayFormAttrName()`
`java.util.Map` | `getReportParameters(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getReportUnitAttrName()`
`java.lang.String` | `getReportUnitObjectAttrName()`
`java.lang.String` | `getReportURI(org.springframework.webflow.execution.RequestContext context)`
`RepositoryService` | `getRepository()`
`java.lang.String` | `getStaticDatePattern()`
`protected boolean` | `hasInputs(org.springframework.webflow.execution.RequestContext context)`
`protected ReportParametersAction.InputValueProvider` | `initialValueProvider(org.springframework.webflow.execution.RequestContext context)`
`protected java.util.Map` | `loadDefaultInputValues(org.springframework.webflow.execution.RequestContext context, ReportUnit report)`
`protected ReportUnit` | `loadReportUnit(org.springframework.webflow.execution.RequestContext context)`
`protected boolean` | `needsInput(org.springframework.webflow.execution.RequestContext context, java.util.List wrappers)`
`protected boolean` | `parseRequest(org.springframework.webflow.execution.RequestContext context, java.util.List wrappers, boolean interactiveParameters)`
`protected boolean` | `parseRequestInput(org.springframework.webflow.execution.RequestContext context, boolean interactiveParameters, RuntimeInputControlWrapper wrapper)`
`protected boolean` | `parseRequestValue(org.springframework.webflow.execution.RequestContext context, RuntimeInputControlWrapper wrapper, boolean interactiveParameters)`
`protected boolean` | `parseRequestValues(org.springframework.webflow.execution.RequestContext context, RuntimeInputControlWrapper wrapper, boolean interactiveParameters)`
`protected java.lang.Comparable` | `realDatatypeValue(DataType dataType, java.lang.Comparable value)`
`void` | `resetValuesToDefaults(org.springframework.webflow.execution.RequestContext context)`
`void` | `setAttributeDefaultInputValues(java.lang.String attributeDefaultInputValues)`
`void` | `setCalendarDatePatternAttrName(java.lang.String calendarDatePatternAttrName)`
`void` | `setCalendarDatetimePatternAttrName(java.lang.String calendarDatetimePatternAttrName)`
`void` | `setCalendarFormatProvider(CalendarFormatProvider calendarFormatProvider)`
`void` | `setControlsDisplayFormAttrName(java.lang.String controlsDisplayFormAttrName)`
`void` | `setEngine(EngineService engine)`
`void` | `setHasInputControlsAttrName(java.lang.String hasInputControlsAttrName)`
`protected void` | `setInputControlParameterValue(RuntimeInputControlWrapper inputControl, java.lang.Object paramValue)`
`void` | `setInputNamePrefix(java.lang.String inputNamePrefix)`
`protected void` | `setInputParameterValues(java.util.List wrappers, ReportParametersAction.InputValueProvider valueProvider)`
`org.springframework.webflow.execution.Event` | `setInputValues(org.springframework.webflow.execution.RequestContext context)`
`void` | `setMarkerParameterPrefix(java.lang.String markerParameterPrefix)`
`void` | `setMessages(org.springframework.context.MessageSource messages)`
`void` | `setParameterValues(org.springframework.webflow.execution.RequestContext context, java.util.Map values)`
`void` | `setReportDisplayFormAttrName(java.lang.String reportDisplayFormAttrName)`
`protected void` | `setReportUnitAttributes(org.springframework.webflow.execution.RequestContext context, ReportUnit reportUnit)`
`void` | `setReportUnitAttrName(java.lang.String reportUnitAttrName)`
`void` | `setReportUnitObjectAttrName(java.lang.String reportUnitObjectAttrName)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setStaticDatePattern(java.lang.String staticDatePattern)`
`protected java.lang.Object` | `toInputControlNumber(java.lang.Object paramValue)`
`protected java.lang.Object` | `toInputControlValue(RuntimeInputControlWrapper inputControl, java.lang.Object paramValue)`
`protected java.util.Set` | `toMultiInputControlValue(java.lang.Object paramValue)`
`protected boolean` | `validateValue(RuntimeInputControlWrapper wrapper, boolean setMissingMessage)`
`protected boolean` | `validateValues(java.util.List wrappers, boolean setMissingMessage)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### INPUTWRAPPERS_ATTR

    public static final java.lang.String INPUTWRAPPERS_ATTR

See Also:
  Constant Field Values

Constructor Detail

### ReportParametersAction

    public ReportParametersAction()

Method Detail

### createWrappers

    protected org.springframework.webflow.execution.Event createWrappers(org.springframework.webflow.execution.RequestContext context)

### setReportUnitAttributes

    protected void setReportUnitAttributes(org.springframework.webflow.execution.RequestContext context,
                                           ReportUnit reportUnit)

### getReportURI

    public java.lang.String getReportURI(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `getReportURI` in interface `ReportInputControlsAction`

### loadReportUnit

    protected ReportUnit loadReportUnit(org.springframework.webflow.execution.RequestContext context)

### needsInput

    protected boolean needsInput(org.springframework.webflow.execution.RequestContext context,
                                 java.util.List wrappers)

### getReportParameters

    public java.util.Map getReportParameters(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `getReportParameters` in interface `ReportInputControlsAction`

### getParameterValues

    protected java.util.Map getParameterValues(org.springframework.webflow.execution.RequestContext context,
                                               boolean requestParsed)

### getInputControlWrappers

    public java.util.List getInputControlWrappers(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `getInputControlWrappers` in interface `ReportInputControlsAction`

### hasInputs

    protected boolean hasInputs(org.springframework.webflow.execution.RequestContext context)

### setParameterValues

    public void setParameterValues(org.springframework.webflow.execution.RequestContext context,
                                   java.util.Map values)

  Specified by:
    `setParameterValues` in interface `ReportInputControlsAction`

### resetValuesToDefaults

    public void resetValuesToDefaults(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `resetValuesToDefaults` in interface `ReportInputControlsAction`

### getDSTSavings

    public static int getDSTSavings(java.util.TimeZone tz)

### addCustomParameters

    protected void addCustomParameters(org.springframework.webflow.execution.RequestContext context,
                                       java.util.Map parameterValues)

### initialValueProvider

    protected ReportParametersAction.InputValueProvider initialValueProvider(org.springframework.webflow.execution.RequestContext context)

### defaultValuesProvider

    protected ReportParametersAction.InputValueProvider defaultValuesProvider(org.springframework.webflow.execution.RequestContext context)

### setInputParameterValues

    protected void setInputParameterValues(java.util.List wrappers,
                                           ReportParametersAction.InputValueProvider valueProvider)

### setInputControlParameterValue

    protected void setInputControlParameterValue(RuntimeInputControlWrapper inputControl,
                                                 java.lang.Object paramValue)

### toInputControlValue

    protected java.lang.Object toInputControlValue(RuntimeInputControlWrapper inputControl,
                                                   java.lang.Object paramValue)

### toInputControlNumber

    protected java.lang.Object toInputControlNumber(java.lang.Object paramValue)

### toMultiInputControlValue

    protected java.util.Set toMultiInputControlValue(java.lang.Object paramValue)

### loadDefaultInputValues

    protected java.util.Map loadDefaultInputValues(org.springframework.webflow.execution.RequestContext context,
                                                   ReportUnit report)

### createWrappers

    protected java.util.List createWrappers(org.springframework.webflow.execution.RequestContext context,
                                            ReportUnit reportUnit)

### executeQuery

    protected org.apache.commons.collections.OrderedMap executeQuery(ResourceReference queryReference,
                                                                     ResourceReference dataSourceReference,
                                                                     RuntimeInputControlWrapper wrapper)

### setInputValues

    public org.springframework.webflow.execution.Event setInputValues(org.springframework.webflow.execution.RequestContext context)

### parseRequest

    protected boolean parseRequest(org.springframework.webflow.execution.RequestContext context,
                                   java.util.List wrappers,
                                   boolean interactiveParameters)

### parseRequestInput

    protected boolean parseRequestInput(org.springframework.webflow.execution.RequestContext context,
                                        boolean interactiveParameters,
                                        RuntimeInputControlWrapper wrapper)

### getParameterName

    protected java.lang.String getParameterName(RuntimeInputControlWrapper wrapper)

### parseRequestValue

    protected boolean parseRequestValue(org.springframework.webflow.execution.RequestContext context,
                                        RuntimeInputControlWrapper wrapper,
                                        boolean interactiveParameters)

### validateValues

    protected boolean validateValues(java.util.List wrappers,
                                     boolean setMissingMessage)

### validateValue

    protected boolean validateValue(RuntimeInputControlWrapper wrapper,
                                    boolean setMissingMessage)

### getDatatype

    protected DataType getDatatype(InputControl control)

### realDatatypeValue

    protected java.lang.Comparable realDatatypeValue(DataType dataType,
                                                     java.lang.Comparable value)

### getLovValue

    protected java.lang.Object getLovValue(RuntimeInputControlWrapper wrapper,
                                           java.lang.String strValue)

### getQueryValue

    protected java.lang.Object getQueryValue(RuntimeInputControlWrapper wrapper,
                                             java.lang.String strValue)

### parseRequestValues

    protected boolean parseRequestValues(org.springframework.webflow.execution.RequestContext context,
                                         RuntimeInputControlWrapper wrapper,
                                         boolean interactiveParameters)

### getDateFormat

    protected java.text.DateFormat getDateFormat(boolean interactiveParameters)

### getDatetimeFormat

    protected java.text.DateFormat getDatetimeFormat(boolean interactiveParameters)

### bindParameterValues

    protected java.util.Map bindParameterValues(java.lang.String reportName,
                                                java.util.List wrappers)

  Converts BigDecimal numbers to the the type they should be based on what the JRParameters say.

  Parameters:
    `reportName` - the name of the report
    `wrappers` - Wrappers around InputControls which allow it to store values and error messages

### getParameterNumberValue

    protected java.lang.Object getParameterNumberValue(RuntimeInputControlWrapper wrapper,
                                                       net.sf.jasperreports.engine.JRParameter parameter,
                                                       java.lang.Object value)

### getParameterMultiValue

    protected java.lang.Object getParameterMultiValue(RuntimeInputControlWrapper wrapper,
                                                      net.sf.jasperreports.engine.JRParameter parameter,
                                                      java.util.Set values)

### getCalendarDatePattern

    protected java.lang.String getCalendarDatePattern()

### getCalendarDatetimePattern

    protected java.lang.String getCalendarDatetimePattern()

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getMessages

    public org.springframework.context.MessageSource getMessages()

### setMessages

    public void setMessages(org.springframework.context.MessageSource messages)

### getEngine

    public EngineService getEngine()

### setEngine

    public void setEngine(EngineService engine)

### getReportUnitAttrName

    public java.lang.String getReportUnitAttrName()

### setReportUnitAttrName

    public void setReportUnitAttrName(java.lang.String reportUnitAttrName)

### getHasInputControlsAttrName

    public java.lang.String getHasInputControlsAttrName()

### setHasInputControlsAttrName

    public void setHasInputControlsAttrName(java.lang.String hasInputControlsAttrName)

### getStaticDatePattern

    public java.lang.String getStaticDatePattern()

### setStaticDatePattern

    public void setStaticDatePattern(java.lang.String staticDatePattern)

### getReportUnitObjectAttrName

    public java.lang.String getReportUnitObjectAttrName()

  Returns:
    Returns the reportUnitObjectAttrName.

### setReportUnitObjectAttrName

    public void setReportUnitObjectAttrName(java.lang.String reportUnitObjectAttrName)

  Parameters:
    `reportUnitObjectAttrName` - The reportUnitObjectAttrName to set.

### getControlsDisplayFormAttrName

    public java.lang.String getControlsDisplayFormAttrName()

  Returns:
    Returns the controlsDisplayFormAttrName.

### setControlsDisplayFormAttrName

    public void setControlsDisplayFormAttrName(java.lang.String controlsDisplayFormAttrName)

  Parameters:
    `controlsDisplayFormAttrName` - The controlsDisplayFormAttrName to set.

### getReportDisplayFormAttrName

    public java.lang.String getReportDisplayFormAttrName()

  Returns:
    Returns the reportDisplayFormAttrName.

### setReportDisplayFormAttrName

    public void setReportDisplayFormAttrName(java.lang.String reportDisplayFormAttrName)

  Parameters:
    `reportDisplayFormAttrName` - The reportDisplayFormAttrName to set.

### getCalendarDatePatternAttrName

    public java.lang.String getCalendarDatePatternAttrName()

  Returns:
    Returns the calendarDatePatternAttrName.

### setCalendarDatePatternAttrName

    public void setCalendarDatePatternAttrName(java.lang.String calendarDatePatternAttrName)

  Parameters:
    `calendarDatePatternAttrName` - The calendarDatePatternAttrName to set.

### getCalendarFormatProvider

    public CalendarFormatProvider getCalendarFormatProvider()

### setCalendarFormatProvider

    public void setCalendarFormatProvider(CalendarFormatProvider calendarFormatProvider)

### getCalendarDatetimePatternAttrName

    public java.lang.String getCalendarDatetimePatternAttrName()

### setCalendarDatetimePatternAttrName

    public void setCalendarDatetimePatternAttrName(java.lang.String calendarDatetimePatternAttrName)

### getInputNamePrefix

    public java.lang.String getInputNamePrefix()

### setInputNamePrefix

    public void setInputNamePrefix(java.lang.String inputNamePrefix)

### getAttributeDefaultInputValues

    public java.lang.String getAttributeDefaultInputValues()

### setAttributeDefaultInputValues

    public void setAttributeDefaultInputValues(java.lang.String attributeDefaultInputValues)

### getMarkerParameterPrefix

    public java.lang.String getMarkerParameterPrefix()

### setMarkerParameterPrefix

    public void setMarkerParameterPrefix(java.lang.String markerParameterPrefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.